/**
 * ActRelationshipSequel.java
 *
 * File generated from the medication::ActRelationshipSequel uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipSequel.
 *
 * 
 */

@XmlType(name = "ActRelationshipSequel")
@XmlEnum
@XmlRootElement(name = "ActRelationshipSequel")
public enum ActRelationshipSequel {
	@XmlEnumValue("SEQL")
	SEQL("SEQL"),
	@XmlEnumValue("APND")
	APND("APND"),
	@XmlEnumValue("DOC")
	DOC("DOC"),
	@XmlEnumValue("ELNK")
	ELNK("ELNK"),
	@XmlEnumValue("GEN")
	GEN("GEN"),
	@XmlEnumValue("GEVL")
	GEVL("GEVL"),
	@XmlEnumValue("INST")
	INST("INST"),
	@XmlEnumValue("MTCH")
	MTCH("MTCH"),
	@XmlEnumValue("OPTN")
	OPTN("OPTN"),
	@XmlEnumValue("REV")
	REV("REV"),
	@XmlEnumValue("UPDT")
	UPDT("UPDT"),
	@XmlEnumValue("XFRM")
	XFRM("XFRM"),
	@XmlEnumValue("XCRPT")
	XCRPT("XCRPT"),
	@XmlEnumValue("VRXCRPT")
	VRXCRPT("VRXCRPT"),
	@XmlEnumValue("FLFS")
	FLFS("FLFS"),
	@XmlEnumValue("OCCR")
	OCCR("OCCR"),
	@XmlEnumValue("OREF")
	OREF("OREF"),
	@XmlEnumValue("SCH")
	SCH("SCH"),
	@XmlEnumValue("RPLC")
	RPLC("RPLC"),
	@XmlEnumValue("SUCC")
	SUCC("SUCC");
	
	private final String value;

    ActRelationshipSequel(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActRelationshipSequel fromValue(String v) {
        for (ActRelationshipSequel c: ActRelationshipSequel.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}